> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mezmo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server.

# Attach a child organization to an enterprise

POST https://api.mezmo.com/v1/enterprise/account
Content-Type: application/json

Attaches an existing organization to an enterprise. The `retention` and `owner` field are optional, and will be defaulted if not specified. To specify which child organization to attach, one of its service keys must be supplied through our typical service key authorization schema; either as basic authorization or through the `servicekey` header.

Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/create-org

## Authentication

- `enterprise-servicekey` header (required) — When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key.
- `Authorization` header (basic auth, required) — (Deprecated) As an alternative to authenticating with a header value, you can also use basic authentication. To use either `apiKey` or `servicekey` as basic authentication, simply pass the key as the username with no password. For example: ``` curl https://api.logdna.com/v1/config/view -u INSERT_API_KEY: ```
- `servicekey` header (required) — (Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the `Authorization` header of your api call. *NOTE* Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

## Request

### Body (application/json)

This endpoint expects an enterprisePut.

- `retention` (integer, optional) — Current retention period selected for the child organization
- `owner` (string, optional) — The email of a user to be given owner privileges of an account.

## Response

### 200

Child organization successfully attached.

- `account` (string, optional) — Account number of the organization
- `enterprise` (string, optional) — Unique Id of the enterprise organization
- `retention` (integer, optional) — Current retention period selected for the child organization
- `owner` (string, optional) — The email of a user to be given owner privileges of an account.
- `retentionPeriods` (list of integer, optional) — Available log retention options for the child organization
- `plan` (string, optional) — The name of a plan.
- `servicekey` (string, optional) — A secret key which can be used to authenticate requests to Mezmo.

## Errors

### 400 Bad Request Error

A poorly formatted request returns with a `BadRequest` code.

- `error` (string, optional) — A human-readable description of the error
- `code` (string, optional) — A unique code for the type of error
- `status` (string, optional) — The status of the request

### 409 Conflict Error

The supplied request leads to an invalid state. The returned error will contain more helpful information.

- `code` (string, optional) — Entity used as an arbitrary classifier of the error encountered
- `error` (string, optional) — Error information surfaced to end user(s) in the response

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "account": "0000000000",
  "enterprise": "0000000000",
  "retention": 7,
  "owner": "owner@example.org",
  "retentionPeriods": [
    7
  ],
  "plan": "enterprise",
  "servicekey": "7b273eb8adc962f2711ad760730debb0"
}
```

**SDK Code**

```python
import requests

url = "https://api.mezmo.com/v1/enterprise/account"

payload = {}
headers = {
    "enterprise-servicekey": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mezmo.com/v1/enterprise/account';
const options = {
  method: 'POST',
  headers: {'enterprise-servicekey': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mezmo.com/v1/enterprise/account"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("enterprise-servicekey", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mezmo.com/v1/enterprise/account")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["enterprise-servicekey"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.mezmo.com/v1/enterprise/account")
  .header("enterprise-servicekey", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.mezmo.com/v1/enterprise/account', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'enterprise-servicekey' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mezmo.com/v1/enterprise/account");
var request = new RestRequest(Method.POST);
request.AddHeader("enterprise-servicekey", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "enterprise-servicekey": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/enterprise/account")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```